Bug 534439 - (RHQ-1234) individual comm metrics should indicate different failure types
individual comm metrics should indicate different failure types
Product: RHQ Project
Classification: Other
Component: Communications Subsystem (Show other bugs)
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: John Mazzitelli
Jeff Weiss
: Improvement
Depends On:
  Show dependency treegraph
Reported: 2008-12-09 12:22 EST by John Mazzitelli
Modified: 2014-11-09 17:48 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.2
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2008-12-09 12:22:00 EST
Recently added the ability to see individual comm message metrics. But we only show the count of "success" and "failure" messages.

I would like to see more fine-grained stats like number that succeeded, failed, dropped or deferred (due to server MM).

Comment 1 John Mazzitelli 2008-12-09 13:58:29 EST
see JOPR-30 for the rhq-server plugin updates that will use this
Comment 2 Jeff Weiss 2009-01-09 13:27:56 EST
Where do i find these metrics?
Comment 3 John Mazzitelli 2009-01-09 15:29:13 EST
These metrics can be found under the RHQ Server JBossAS server resource that you must import into inventory.  That server resource has a child service resource called "RHQ Server Communications Subsystem" which has the following metrics defined on them:

 * NumberFailedCommandsReceived
 * NumberSuccessfulCommandsReceived
 * NumberTotalCommandsReceived
 * NumberDroppedCommandsReceived
 * NumberNotProcessedCommandsReceived
 * AverageExecutionTimeReceived

You can see their descriptions in the UI (and the plugin descriptor).

In addition, the more fine-grained measurements can be found by executing the operation called "View Received Call Time Data" found on that same child service resource.  That will return tabular data - one row per remote POJO method/command type. Each row has the following columns:

    command - name of the remote POJO method/command type invoked
    totalCount - total number of times the command was invoked
    successCount - number of times the command was successfully invoked
    failureCount - number of times the command failed
    droppedCount - number of times concurrency limits forced the command to drop without being invoked
    notProcessedCount - number of times a command was sent in but was not processed due to the server being in maintenance mode
    executionMinTime - the fastest time an invocation took
    executionMaxTime - the slowest time an invocation took
    executionAvgTime - the average time successful invocations took
Comment 4 Jeff Weiss 2009-02-09 11:57:28 EST
I looked at the metrics page for this resource, and executed the operation 'View Received Call Time Data'.  Everything looks fine here, although I have no way to verify the metrics are actually correct.  They are sane, at least.
Comment 5 Red Hat Bugzilla 2009-11-10 15:28:42 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1234
This bug is related to RHQ-1199

Note You need to log in before you can comment on or make changes to this bug.